ModuleIncompatibiityException is displayed when attempting to start an I/A Series G3 station.

Issue

When starting the station, an error message is displayed in the Application Director window reporting a series of javax.baja.sys errors.  The errors are of the format:

javax.baja.sys.ModuleException: Cannot resolve dependency xxxxx-Tridium-3.y.zz -> xxxxxx-Tridium-3.a.bb

javax.baja.sys.ModuleIncompatibleException: yyyyy-Tridium-3.y.zz

Product Line

TAC I/A Series

Environment

I/A Series G3 installation, any versions

Cause

The modules reported in the first exception line are incompatible with each other.

Resolution

This issue is usually caused by installing an incompatible version of one of the modules used by the ENS station. 

  1. Delete the folder \niagara\niagara-3.x.xx\sw folder (where 3.x.xx is the G3 release number)
  2. Reinstall the required 3.x.xx version of the G3 software.
  3. Copy any additional required modules to the modules folder.
  4. Open the workbench and run the Software Manager to rebuild the "sw" folder.
  5. Restart the ENS station.